VTK: Rendering/Tk/vtkTclUtil.h File Reference

| VTK 9.3.1

Classes | Macros | Typedefs | Functions
vtkTclUtil.h File Reference
`#include "vtkCommand.h"`
`#include "vtkObject.h"`
`#include "vtkTcl.h"`
Include dependency graph for vtkTclUtil.h:

Go to the source code of this file.

## Classes
class | vtkTclCommand
struct | _vtkTclVoidFuncArg
struct | vtkTclCommandArgStruct
struct | vtkTclCommandStruct
struct | vtkTclInterpStruct

## Macros
#define | VTKTCL_EXPORT

## Typedefs
typedef struct _vtkTclVoidFuncArg | vtkTclVoidFuncArg

## Functions
VTKTCL_EXPORT void | vtkTclUpdateCommand (Tcl_Interp *interp, char *name, vtkObject *obj)
VTKTCL_EXPORT void | vtkTclDeleteObjectFromHash (vtkObject *, unsigned long eventId, void *, void *)
VTKTCL_EXPORT void | vtkTclGenericDeleteObject (ClientData cd)
VTKTCL_EXPORT void | vtkTclGetObjectFromPointer (Tcl_Interp *interp, void *temp, const char *targetType)
VTKTCL_EXPORT void * | vtkTclGetPointerFromObject (const char *name, const char *result_type, Tcl_Interp *interp, int &error)
VTKTCL_EXPORT void | vtkTclVoidFunc (void *)
VTKTCL_EXPORT void | vtkTclVoidFuncArgDelete (void *)
VTKTCL_EXPORT void | vtkTclListInstances (Tcl_Interp *interp, ClientData arg)
VTKTCL_EXPORT int | vtkTclInDelete (Tcl_Interp *interp)
VTKTCL_EXPORT int | vtkTclNewInstanceCommand (ClientData cd, Tcl_Interp *interp, int argc, char *argv[])
VTKTCL_EXPORT void | vtkTclDeleteCommandStruct (ClientData cd)
VTKTCL_EXPORT void | vtkTclCreateNew (Tcl_Interp *interp, const char *cname, ClientData(*NewCommand)(), int(*CommandFunction)(ClientData cd, Tcl_Interp *interp, int argc, char *argv[]))
VTKTCL_EXPORT void | vtkTclApplicationInitExecutable (int argc, const char *const argv[])
VTKTCL_EXPORT void | vtkTclApplicationInitTclTk (Tcl_Interp *interp, const char *const relative_dirs[])

## Macro Definition Documentation

## ◆ VTKTCL_EXPORT

#define VTKTCL_EXPORT

Definition at line 14 of file vtkTclUtil.h.

## Typedef Documentation

## ◆ vtkTclVoidFuncArg

typedef struct _vtkTclVoidFuncArg vtkTclVoidFuncArg

## Function Documentation

## ◆ vtkTclUpdateCommand()

VTKTCL_EXPORT void vtkTclUpdateCommand | ( | Tcl_Interp * | interp,
|  | char * | name,
|  | vtkObject * | obj
| ) |  |

## ◆ vtkTclDeleteObjectFromHash()

VTKTCL_EXPORT void vtkTclDeleteObjectFromHash | ( | vtkObject * | ,
|  | unsigned long | eventId,
|  | void * | ,
|  | void * |
| ) |  |

## ◆ vtkTclGenericDeleteObject()

VTKTCL_EXPORT void vtkTclGenericDeleteObject | ( | ClientData | cd | ) |

## ◆ vtkTclGetObjectFromPointer()

VTKTCL_EXPORT void vtkTclGetObjectFromPointer | ( | Tcl_Interp * | interp,
|  | void * | temp,
|  | const char * | targetType
| ) |  |

## ◆ vtkTclGetPointerFromObject()

VTKTCL_EXPORT void* vtkTclGetPointerFromObject | ( | const char * | name,
|  | const char * | result_type,
|  | Tcl_Interp * | interp,
|  | int & | error
| ) |  |

## ◆ vtkTclVoidFunc()

VTKTCL_EXPORT void vtkTclVoidFunc | ( | void * |  | ) |

## ◆ vtkTclVoidFuncArgDelete()

VTKTCL_EXPORT void vtkTclVoidFuncArgDelete | ( | void * |  | ) |

## ◆ vtkTclListInstances()

VTKTCL_EXPORT void vtkTclListInstances | ( | Tcl_Interp * | interp,
|  | ClientData | arg
| ) |  |

## ◆ vtkTclInDelete()

VTKTCL_EXPORT int vtkTclInDelete | ( | Tcl_Interp * | interp | ) |

## ◆ vtkTclNewInstanceCommand()

VTKTCL_EXPORT int vtkTclNewInstanceCommand | ( | ClientData | cd,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | char * | argv[]
| ) |  |

## ◆ vtkTclDeleteCommandStruct()

VTKTCL_EXPORT void vtkTclDeleteCommandStruct | ( | ClientData | cd | ) |

## ◆ vtkTclCreateNew()

VTKTCL_EXPORT void vtkTclCreateNew | ( | Tcl_Interp * | interp,
|  | const char * | cname,
|  | ClientData(*)() | NewCommand,
|  | int(*)(ClientData cd, Tcl_Interp *interp, int argc, char *argv[]) | CommandFunction
| ) |  |

## ◆ vtkTclApplicationInitExecutable()

VTKTCL_EXPORT void vtkTclApplicationInitExecutable | ( | int | argc,
|  | const char *const | argv[]
| ) |  |

## ◆ vtkTclApplicationInitTclTk()

VTKTCL_EXPORT void vtkTclApplicationInitTclTk | ( | Tcl_Interp * | interp,
|  | const char *const | relative_dirs[]
| ) |  |